#552 make fails when building gdl as python module

v1.0 (example)
closed-fixed
nobody
None
5
2015-01-25
2013-07-13
Josh Sixsmith
No

Hi, I'm trying to build GDL as a Python module, but it fails at make:

[ 34%] Building CXX object src/CMakeFiles/gdl.dir/convol_inc2.cpp.o
[ 35%] Building CXX object src/CMakeFiles/gdl.dir/datatypes.cpp.o
In file included from /home/laptop/Downloads/gnudatalanguage/gdl/src/datatypes.cpp:105:0:
/home/laptop/Downloads/gnudatalanguage/gdl/src/pythongdl.cpp: In function ‘PyObject GDLSub(PyObject, PyObject, PyObject, bool)’:
/home/laptop/Downloads/gnudatalanguage/gdl/src/pythongdl.cpp:441:16: error: ‘Purge’ was not declared in this scope
make[2]: [src/CMakeFiles/gdl.dir/datatypes.cpp.o] Error 1
make[1]:
[src/CMakeFiles/gdl.dir/all] Error 2
make: *** [all] Error 2

Related

Bugs: #552

Discussion

  • On 07/12/2013 08:06 PM, Josh Sixsmith wrote:


    [bugs:#552] http://sourceforge.net/p/gnudatalanguage/bugs/552/ make
    fails when building gdl as python module

    Status: open
    Created: Sat Jul 13, 2013 02:06 AM UTC by Josh Sixsmith
    Last Updated: Sat Jul 13, 2013 02:06 AM UTC
    Owner: nobody

    Hi, I'm trying to build GDL as a Python module, but it fails at make:

    [ 34%] Building CXX object src/CMakeFiles/gdl.dir/convol_inc2.cpp.o
    [ 35%] Building CXX object src/CMakeFiles/gdl.dir/datatypes.cpp.o
    In file included from
    /home/laptop/Downloads/gnudatalanguage/gdl/src/datatypes.cpp:105:0:
    /home/laptop/Downloads/gnudatalanguage/gdl/src/pythongdl.cpp: In
    function ‘PyObject/GDLSub(PyObject/, PyObject/, PyObject/, bool)’:
    /home/laptop/Downloads/gnudatalanguage/gdl/src/pythongdl.cpp:441:16:
    error: ‘Purge’ was not declared in this scope
    make[2]: /[src/CMakeFiles/gdl.dir/datatypes.cpp.o] Error 1
    make[1]: /
    [src/CMakeFiles/gdl.dir/all] Error 2
    make: *** [all] Error 2

    This is my latest patch for the python module

    --
    Orion Poplawski
    Technical Manager 303-415-9701 x222
    NWRA/CoRA Division FAX: 303-415-9702
    3380 Mitchell Lane orion@cora.nwra.com
    Boulder, CO 80301 http://www.cora.nwra.com

     

    Related

    Bugs: #552

  • New error with 0.9.4, new patch. Not sure how correct this is - but it compiles.

     
    Attachments
  • Alain C.
    Alain C.
    2013-10-02

    now in the CVS

    Alain

     
  • Alain C.
    Alain C.
    2013-10-02

    • status: open --> closed-fixed